Accept invitation by key
curl --request POST \
--url https://console.gmicloud.ai/api/v1/invitations/{invitationKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/invitations/{invitationKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/invitations/{invitationKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "invitationKey",
"expression": "required",
"originalValue": "",
"reason": "This field is required."
}
]
}{
"group": "invitation",
"code": 1,
"message": "The user has no permission to access invitation resources."
}{
"group": "organization",
"code": 2,
"message": "Organization does not exist."
}{
"group": "organization",
"code": 0,
"message": "User already owns an organization."
}{
"group": "organization",
"code": 1201,
"message": "Get organization encountered DB error.",
"traces": [
"DB error occurred."
]
}invitations
Accept invitation by key
Allows user to accept an invitation to join the organization using invitationKey. The user will automatically leave their current organization.
POST
/
invitations
/
{invitationKey}
Accept invitation by key
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The invitation key for joining an existing organization.
Example:
"CB8OZUZQUxddQG9DTAlGXg9Ea0IBV18EQ25FTFhAUVtcakdRU0JVRGUaDxodEwwdNhwLWRNVEToRAlVNSlQKbxFIVxcDTHIRA1oQSlsLPUoHB0FdRD5CUA"
Response
Successfully accepted the invitation.
⌘I